//===-- SBDefines.h ---------------------------------------------*- C++ -*-===//
//
//                     The LLVM Compiler Infrastructure
//
// This file is distributed under the University of Illinois Open Source
// License. See LICENSE.TXT for details.
//
//===----------------------------------------------------------------------===//

#ifndef LLDB_SBDefines_h_
#define LLDB_SBDefines_h_

// C Includes
// C++ Includes
// Other libraries and framework includes
// Project includes

#include <LLDB/lldb-defines.h>
#include <LLDB/lldb-enumerations.h>
#include <LLDB/lldb-forward.h>
#include <LLDB/lldb-forward-rtti.h>
#include <LLDB/lldb-types.h>

// Forward Declarations

namespace lldb {

class SBAddress;
class SBBlock;
class SBBreakpoint;
class SBBreakpointLocation;
class SBBroadcaster;
class SBCommandContext;
class SBCommandInterpreter;
class SBCommandReturnObject;
class SBCommunication;
class SBCompileUnit;
class SBDebugger;
class SBError;
class SBEvent;
class SBEventList;
class SBFileSpec;
class SBFrame;
class SBFunction;
class SBHostOS;
class SBInputReader;
class SBInstruction;
class SBLineEntry;
class SBListener;
class SBModule;
class SBProcess;
class SBSourceManager;
class SBSymbol;
class SBSymbolContext;
class SBStringList;
class SBTarget;
class SBThread;
class SBValue;

}

#endif  // LLDB_SBDefines_h_
